var dovi_weather_count = 0;
var dovi_weather_index = 1;
var dovi_weather_wait = 1;

jQuery(document).ready(function() {

    jQuery('.dovi-weather-need-update').each(function(){
        dovi_weather_updateContent( jQuery(this).attr('data-alias'), jQuery(this).attr('id') );
    });
    
});

function dovi_weather_updateContent(alias, id) {
    
    var data = {
        action   : 'get_dovi_weather_content',
        current  : jQuery('#'+id).attr('data-current'),
        forecast : jQuery('#'+id).attr('data-forecast'),
        alias    : alias,
        id       : id 
    };

    jQuery.ajax({
        url      : dovi_weather_ajax_object.ajax_url,
        dataType : 'json',
        type     : 'POST',
        data     : data,
        success  : function(data, result){
            if (data.status != 1) {
                error_message.push(data.message);
            } else {
                jQuery('#'+data.id).find('.dovi-weather-data').find('img').remove();
                jQuery('#'+data.id).find('.dovi-weather-current').html(data.current);
                jQuery('#'+data.id).find('.dovi-weather-forecast').html(data.forecast);
            }
        },
        error: function (request, status, error) {
            alert('AJAX error : ' + status);
        } 
    });
}

